<%@ page contentType="text/html;charset=UTF-8" %>
<%@ page import="java.util.Iterator" %>
<%@ page import="net.sz600.tool.SzConvert" %>
<%@ page import="net.sz600.tool.SzDateHelp" %>
<%@ page import="net.sz600.system.*" %>
<%@ page import="net.sz600.flow.*" %>
<%@ page import="net.sz600.formEngine2.*" %>
<%@ page import="net.sz600.formEngine.*" %>
<%@ include file="/sessionInfo.jsp"%>
<%
    //获取提交的参数
    String id = SzConvert.toSpaceStr(request.getParameter("id"));
	int iFormID = SzConvert.toInt(request.getParameter("FormID"));
	int iFrom = SzConvert.toInt(request.getParameter("From"));
	String moduleName = SzConvert.strWriteData(request.getParameter("moduleName"));
	String formName = SzConvert.strWriteData(request.getParameter("formName"));
  	BdStat bdStat = new BdStat();
  	String s[] = bdStat.getInfo(id);
%>
  <form name="formHidden" method="post">
  <input type="hidden" name="FormID" value="<%=iFormID%>"> 
  <input type="hidden" name="id" value="<%=id%>">   
  <input type="hidden" name="From" value="<%=iFrom%>">  
  <% out.println(bdStat.printSearchInfo(s, request)); %> 
  </form>
<%


    boolean flag = false;
    String sUrl = "stat_result.jsp";
    String sMessage = "";

    flag = bdStat.exportStat(request,session);
    sMessage = SzOut.getMessage();

    if (flag) {
      
      out.println(SzPageHelp.jsFormSubmitBlank("formHidden", "../../down.jsp?tablename=export&filename=" + bdStat.getExportFile(szDLID_SESSION)));
   
      out.println(SzPageHelp.jsFormSubmit("formHidden",sUrl));

  }
%>

